Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package textpatterncontrol :: Module view :: Class TextPatternControl |
[frames] | no frames]

# Class TextPatternControl

source code

      wx.TextCtrl --+
                    |
    textctrl.TextCtrl --+
                        |
                       TextPatternControl

Instance Methods
__init__(self, parent, name=None, fit_text=None) | source code
GetParts(self) | source code
GetSelectedGroup(self) | source code
SetSeparators(self, separators) | source code
SetParts(self, parts) | source code
SetValidator(self, validator) | source code
SetUpHandler(self, group, up_handler) | source code
SetDownHandler(self, group, down_handler) | source code
Validate(self) | source code

Method Details

### __init__(self, parent, name=None, fit_text=None) (Constructor) | source code
Overrides: textctrl.TextCtrl.__init__